Package org.wso2.carbon.mediation.initializer.handler

## Class ProxyLogHandler

- java.lang.Object
- - org.apache.synapse.AbstractSynapseHandler
  - - org.wso2.carbon.mediation.initializer.handler.ProxyLogHandler

- All Implemented Interfaces:
    `org.apache.synapse.SynapseHandler`

      public class ProxyLogHandler
      extends org.apache.synapse.AbstractSynapseHandler

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProxyLogHandler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `handleLogAppenderSetter​(org.apache.synapse.MessageContext synCtx)` |
    `boolean` | `handleRequestInFlow​(org.apache.synapse.MessageContext messageContext)` |
    `boolean` | `handleRequestOutFlow​(org.apache.synapse.MessageContext messageContext)` |
    `boolean` | `handleResponseInFlow​(org.apache.synapse.MessageContext messageContext)` |
    `boolean` | `handleResponseOutFlow​(org.apache.synapse.MessageContext messageContext)` |

    - ### Methods inherited from class org.apache.synapse.AbstractSynapseHandler

      `addProperty, getName, getProperties, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProxyLogHandler

          public ProxyLogHandler()

  - ### Method Detail

    - #### handleRequestInFlow

          public boolean handleRequestInFlow​(org.apache.synapse.MessageContext messageContext)

    - #### handleRequestOutFlow

          public boolean handleRequestOutFlow​(org.apache.synapse.MessageContext messageContext)

    - #### handleResponseInFlow

          public boolean handleResponseInFlow​(org.apache.synapse.MessageContext messageContext)

    - #### handleResponseOutFlow

          public boolean handleResponseOutFlow​(org.apache.synapse.MessageContext messageContext)

    - #### handleLogAppenderSetter

          public void handleLogAppenderSetter​(org.apache.synapse.MessageContext synCtx)